Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.sci
Interface ITreeIterator

public interface ITreeIterator

Interface used in `SciTreeElement`. Can be an interface to any system that supports iterating through a directory (for example, a file system).

Method Summary
`ITreeIteratorNode[]` | `children()` Gets the children for this iterator (for example, a list of files in a given folder).
`void` | `close()` Closes the iterator.
`java.lang.String` | `getCurrentLocation()` Gets the full path of the current location.
`java.util.Locale` | `getLocale()` Gets the locale for the iterator.
`java.lang.String` | `getLocationName()` Gets the name of the current node (the last folder in the path).
`void` | `initializeIterator(NamedValueMap dataSourceSettings)` Initializes the iterator.
`boolean` | `isAtRoot()` Checks if the iterator is at the root node.
`void` | `moveTo(java.lang.String location)` Moves to the specified location.
`void` | `moveToParent()` Moves to the parent of this iterator node; one 'directory' up.
`void` | `moveToRoot()` Moves to the root of this iterator node.

Method Detail

### initializeIterator

    public void initializeIterator(NamedValueMap dataSourceSettings)
                            throws java.lang.Exception

  Initializes the iterator.

  Parameters:
    `dataSourceSettings` - a NamedValueMap of settings (for example, authentication and directory settings)
  Throws:
    `java.lang.Exception`

### children

    public ITreeIteratorNode[] children()
                                 throws java.lang.Exception

  Gets the children for this iterator (for example, a list of files in a given folder).

  Throws:
    `java.lang.Exception`

### moveToParent

    public void moveToParent()

  Moves to the parent of this iterator node; one 'directory' up.

### moveToRoot

    public void moveToRoot()

  Moves to the root of this iterator node.

### moveTo

    public void moveTo(java.lang.String location)

  Moves to the specified location.

  Parameters:
    `location` - the location to move to

### isAtRoot

    public boolean isAtRoot()

  Checks if the iterator is at the root node.

  Returns:
    `true` if the iterator is at the root node and `false` otherwise

### getLocationName

    public java.lang.String getLocationName()

  Gets the name of the current node (the last folder in the path).

  Returns:
    the location display name

### getCurrentLocation

    public java.lang.String getCurrentLocation()

  Gets the full path of the current location.

  Returns:
    the full path of the current location.

### getLocale

    public java.util.Locale getLocale()

  Gets the locale for the iterator.

  Returns:
    locale

### close

    public void close()
               throws java.lang.Exception

  Closes the iterator.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.